package com.mosty.hczx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.hczx.TbHcBpcclInsertDto;
import com.mosty.base.model.query.hczx.HcTjQuery;
import com.mosty.base.model.query.hczx.TbHcBpcclQuery;
import com.mosty.base.model.query.hczx.TbHcTodayBpcclQuery;
import com.mosty.base.model.vo.hczx.TbHcBpcclVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface TbHcBpcclService {

    @ApiOperation("查询被盘查车辆")
    Integer selectCarCount(String ssbmdm, String isChild);

    @ApiOperation("查询盘查车辆列表分页")
    IPage<TbHcBpcclVo> selectCarList(TbHcTodayBpcclQuery dto);

    @ApiOperation("APP_查询车辆信息")
    TbHcBpcclVo selectCl(TbHcBpcclQuery dto);

    @ApiOperation("APP_查询内网车辆信息")
    TbHcBpcclVo selectNwCl(TbHcBpcclQuery dto);

    @ApiOperation("保存被盘查车辆信息")
    void saveBpccl(TbHcBpcclInsertDto dto);

    @ApiOperation("查询两个小时内没有被人员绑定的车辆")
    List<TbHcBpcclVo> getClOf2h();

    @ApiOperation("条件查询车辆盘查信息")
    IPage<TbHcBpcclVo> getClpcList(TbHcBpcclQuery dto);

    @ApiOperation("条件查询车辆盘查数据统计")
    Map<String, Integer> getClpcCount(TbHcBpcclQuery dto);

    @ApiOperation("大屏被盘查车辆统计")
    Map<String, Integer> bpcclTj();

    @ApiOperation("实际盘查车数")
    int getSjpcc(String ssbmdm, String time);

    @ApiOperation("盘查统计")
    Object getPctj(HcTjQuery query);

    @ApiOperation("盘查物品统计")
    int getPcWptj(String ssbmdm, String time);
}
